Action Type
Action Types- Action Types ManageGET global/actionTypes- Get the list of Action TypesGET global/actionTypes/{id}- Get a single Action Type
Action Type JSON Format
Action Type is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
integer | Id of action type. |
moduleId |
string | Id of the module. |
name |
string | Name of action type. |
Get the list of Action Types
GET global/actionTypes
-
Parameters:
No Parameters
-
Response:
An array of Action Type
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/actionTypes \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": 1,
"moduleId": "Global",
"name": "Agent Role Management"
}
]
Get a single Action Type
GET global/actionTypes/{id}
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/actionTypes/1 \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"id": 1,
"moduleId": "Global",
"name": "Agent Role Management"
}